| Home | Libraries | People | FAQ | More

## Struct template not_equal_to

boost::proto::not_equal_to — A metafunction for generating not-equal-to expression types, a grammar element for matching not-equal-to expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    // In header: <boost/proto/traits.hpp>

    template<typename T, typename U>
    struct not_equal_to :  proto::transform< not_equal_to<T, U> > {
      // types
      typedef proto::expr< proto::tag::not_equal_to, proto::list2< T, U > >       type;
      typedef proto::basic_expr< proto::tag::not_equal_to, proto::list2< T, U > > proto_grammar;

      // member classes/structs/unions
      template<typename Expr, typename State, typename Data>
      struct impl :
         proto::pass_through<mot_equal_to>::template impl<Expr, State, Data>
      {
      };
    };

## Description